Bug 519408 - nm-applet crashes in a VNC session
Summary: nm-applet crashes in a VNC session
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 522830 526739 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 14:07 UTC by Jeff Bastian
Modified: 2010-06-28 14:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:18:42 UTC
Type: ---


Attachments (Terms of Use)
full output of nm-applet crash (7.96 KB, text/plain)
2009-08-26 14:12 UTC, Jeff Bastian
no flags Details
patch to fix corrupt free (1.05 KB, patch)
2009-08-26 17:41 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 593196 0 None None None Never

Description Jeff Bastian 2009-08-26 14:07:53 UTC
Description of problem:
I just started a VNC server on Fedora 11 PowerPC and nm-applet crashed leaving behind these errors:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
(nm-applet:2295): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.                                                        
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.                                                                       
The overwriting error message was: Connection ":1.63" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file                                                         

** (nm-applet:2295): WARNING **: <WARN>  request_name(): Could not acquire the NetworkManagerUserSettings service.                                              
  Message: ''                                                                   

*** glibc detected *** /usr/bin/nm-applet: double free or corruption (out): 0x100da040 ***
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Version-Release number of selected component (if applicable):
NetworkManager-0.7.1-8.git20090708.fc11.ppc
NetworkManager-gnome-0.7.1-8.git20090708.fc11.ppc

How reproducible:
every time

Steps to Reproduce:
1. vncserver
  
Actual results:
nm-applet is started by Gnome, but it crashes
manually trying to start nm-applet crashes in the same way

Expected results:
no crash

Additional info:

Comment 1 Jeff Bastian 2009-08-26 14:12:30 UTC
Created attachment 358724 [details]
full output of nm-applet crash

Comment 2 Jeff Bastian 2009-08-26 14:14:07 UTC
I installed the debuginfo packages and ran nm-applet through gdb to get a more detailed backtrace:

Program received signal SIGABRT, Aborted.
0x0eb2786c in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Current language:  auto; currently minimal
(gdb) bt
#0  0x0eb2786c in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0eb29604 in *__GI_abort () at abort.c:88
#2  0x0eb6d538 in __libc_message (do_abort=2,
    fmt=0x400 <Address 0x400 out of bounds>)
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0x0eb756f4 in malloc_printerr (action=3,
    str=0xec5d6f8 "double free or corruption (out)", ptr=<value optimized out>)
    at malloc.c:6217
#4  0x0ed02ca4 in IA__g_free (mem=<value optimized out>) at gmem.c:190
#5  0x0ece2604 in IA__g_error_free (error=0x100c0988) at gerror.c:125
#6  0x10014ab4 in request_name (proxy=<value optimized out>,
    detail=0x10046680 "NetworkManagerUserSettings",
    flags=<value optimized out>) at applet-dbus-manager.c:152
#7  0x10014b90 in applet_dbus_manager_start_service (self=0x100dedb0)
    at applet-dbus-manager.c:415
#8  0x10010e00 in constructor (type=<value optimized out>,
    n_props=<value optimized out>, construct_props=<value optimized out>)
    at applet.c:2611
#9  0x0eded0d0 in IA__g_object_newv (object_type=269017224, n_parameters=1,
    parameters=<value optimized out>) at gobject.c:1215
#10 0x0ededbfc in IA__g_object_new_valist (object_type=269017224,
    first_property_name=0x0, var_args=0xbf85e0c4) at gobject.c:1319
#11 0x0ededeac in IA__g_object_new (object_type=269017224,
    first_property_name=0x1004686c "loop") at gobject.c:1060
#12 0x1000e020 in nm_applet_new (loop=0x1008e078) at applet.c:2745
#13 0x1000c890 in main (argc=1, argv=0xbf85e384) at main.c:73

Comment 3 Jeff Bastian 2009-08-26 17:41:34 UTC
Created attachment 358745 [details]
patch to fix corrupt free

It looks like the problem is in 6 in the backtrace, request_name at applet-dbus-manager.c:152

The attached patch fixes the problem for me.

Comment 4 Dan Williams 2009-08-27 14:29:39 UTC
5f40e02d79057c7c41d279bf82c884a2dc87c90c (master)
1ecf9bfe2d721729ca62218c5ac0d8cdc888dc73 (0.7.x)

Pushed, thanks!

Comment 6 Dan Williams 2009-11-03 03:03:41 UTC
*** Bug 522830 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2009-11-04 12:34:07 UTC
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 8 Dan Williams 2009-11-07 02:10:12 UTC
*** Bug 526739 has been marked as a duplicate of this bug. ***

Comment 9 Orion Poplawski 2009-11-11 18:36:08 UTC
No more segfault, just:

$ nm-applet
No protocol specified

(nm-applet:20819): Gtk-WARNING **: cannot open display: :1 

which I suppose may be expected.

Comment 10 Fedora Update System 2009-12-07 07:35:30 UTC
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Bug Zapper 2010-04-28 09:59:21 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-06-28 14:18:42 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.